# Installing docs
mkdir -p $(DESTDIR)/usr/share/doc/live-debconfig
- cp -r COPYING $(DESTDIR)/usr/share/doc/live-debconfig
+ cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-debconfig
# Installing manpages
for MANPAGE in manpages/en/*; \
--- /dev/null
+live-debconfig-foobar Example
+-----------------------------
+
+Best practise for downstream projects and derivatives is to ship their custom
+live-debconfig scripts in an own debian package.
+
+The following live-debconfig-foobar example package should be used as a starting
+point. The following things should minimally be changed:
+
+ * Replace any mentioning of 'Joe Doe' with your own name.
+ * Replace any mentioning of 'example.org' with your own domain name.
+ * Replace any mentioning of 'foobar', 'Foobar' and 'FOOBAR' with the name of
+ your custom script or project name.
+
+ -- Daniel Baumann <daniel@debian.org> Sun, 26 Feb 2012 21:15:40 +0100
--- /dev/null
+live-debconfig-foobar (4-1) unstable; urgency=low
+
+ * Initial release based on the live-debconfig-foobar example package
+ included in live-debconfig.
+
+ -- John Doe <john@example.org> Sun, 26 Feb 2012 21:15:40 +0100
--- /dev/null
+Source: live-debconfig-foobar
+Section: misc
+Priority: extra
+Maintainer: John Doe <john@example.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
+Homepage: http://www.example.org/foobar/
+Vcs-Browser: http://git.example.org/?p=live-debconfig-foobar.git
+Vcs-Git: git://git.example.org/git/live-debconfig-foobar.git
+
+Package: live-debconfig-foobar
+Architecture: all
+Depends: ${misc:Depends}, live-debconfig (>= 4), live-debconfig (<< 5)
+Description: Additional Live System Configuration Scripts (foobar)
+ live-debconfig contains the scripts that debconfigure a live system during the boot
+ process (late userspace).
+ .
+ This package contains the additional foobar script(s).
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: live-debconfig-foobar
+Upstream-Contact: John Doe <john@example.org>
+Source: http://www.example.org/foobar/
+Comment:
+ This package is based on the live-debconfig-foobar example package
+ included in live-debconfig which can be optained from
+ http://live.debian.net/devel/live-debconfig/.
+
+Files: *
+Copyright: 2006-2012 Daniel Baumann <daniel@debian.org>
+ 2012 John Doe <john@example.org>
+License: GPL-3+
+
+License: GPL-3+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ The complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-3 file.
--- /dev/null
+scripts/* /lib/live/debconfig
--- /dev/null
+#!/usr/bin/make -f
+
+%:
+ dh ${@}
+
+override_dh_builddeb:
+ dh_builddeb -- -Zxz -z9
--- /dev/null
+3.0 (native)
--- /dev/null
+compression = xz
+compression-level = 9
--- /dev/null
+#!/bin/sh
+
+## live-debconfig(7) - System Configuration Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+DEBCONF_SYSTEMRC="/var/lib/live/debconfig/systemrc"
+export DEBCONF_SYSTEMRC
+
+. /usr/share/debconf/confmodule
+
+Defaults ()
+{
+ if [ -z "${_FOO}" ]
+ then
+ # FIXME
+ fi
+}
+
+db_get live-debconfig/foobar/foo
+_FOO="${RET}" # string (w/o empty)
+
+Defaults
+
+db_set live-debconfig/foobar/foo "${_FOO}"
+db_fset live-debconfig/foobar/foo seen false
+
+db_settitle live-debconfig/title
+db_input high live-debconfig/foobar/foo || true
+db_go
+
+db_get live-debconfig/foobar/foo
+_FOO="${RET}" # string (w/o empty)
+
+Defaults
+
+db_stop
+
+# Set foo
+echo "${_FOO}" > /etc/foo.tmp
+mv /etc/foo.tmp /etc/foo
--- /dev/null
+Template: live-debconfig/title
+Type: title
+Description: live-debconfig: System Configuration
+
+Template: live-debconfig/foobar/foo
+Type: string
+Default:
+Description: live-debconfig: Foo?
+ What should be the foo of the current system?
+ .
+ The default value is determined automatically:
+ .
+ 1. FIXME